You are not logged in. Click here to log in.

codeBeamer Application Lifecycle Management (ALM)

Search In Project

Search inClear

Tags:  not added yet
codeBeamer 9.5.0-RC3 - General information
  • No longer possible execute custom Java code and Access Java Class Loader using computed fields because of security reasons, please use custom Workflow Actions instead
  • Starting from 9.5.0-RC3 Windwos Installer is shipped with RedHat Open JDK 1.8.x version

System Requirements

This page describes the hardware and software requirements of codeBeamer 9.5.x. For general requirements, please refer to the wiki page titled System Requirements.

Operating Systems

Windows, Linux and Mac-OS on 64-bit x86 architectures with at least 8 GB memory. 32-bit operating systems are no longer supported.

The amount of memory required depends on the number of concurrent users, and the data in the system.

Virtual Systems

codeBeamer 9.5.x versions are tested with VMware ESXi 5.0, ESX 6.5.0, ESX 6.7.0 and Amazon Elastic Compute Cloud (Amazon EC2).

Docker

Docker image is changed, please note the following changes

  • centos 7.6.1810 is used as a base image
  • additional environment variables are added
  • hosted SCMs are removed from the image
  • codeBeamer is available on http://localhost/ without /cb

Docker image is tested with 18.06.1-ce version of Docker

Docker with OpenShift

Docker and OpenShift configurations are automatic, please follow the installation instructions.


codeBeamer 9.5.x versions are tested with OpenShift (OKD 3.11) on AWS instances

Supported Java Runtime Environment (JRE)

Platform Version Tested with Recommended Platform
Open JDK 1.8.222 or higher 1.8.0_222-4-redhat / 64-Bit ALT_WIKI:EMOTICON:%28%2F%29%20 Windows
Open JDK 1.8.222 or higher 1.8.0_221 and 1.8.0_222 / 64-Bit ALT_WIKI:EMOTICON:%28%2F%29%20 Linux

Supported Application Servers

codeBeamer is shipped and tested with Apache Tomcat 8.5.45. The windows-based installer has the tomcat application server already included.

It is recommended to upgrade to Apache Tomcat 8.5.45 version because of http://tomcat.apache.org/security-8.html.

codeBeamer 9.5.x Supported Databases

Database Version Tested with Recommended
MySql 5.7 5.7.24 ALT_WIKI:EMOTICON:%28%2F%29%20
Oracle Oracle 12c Standard and Enterprise Edition 12.2.0.1.0
ALT_WIKI:EMOTICON:%28%2F%29%20
MariaDb 10.1 MariaDB-1~wily 10.1.13-MariaDB-1~wily ALT_WIKI:EMOTICON:%28-%29%20
(our tests show that MariaDB is stable but right now we do not recommend to use this on production environments)
Derby (only for evaluation) 10.14.x 10.14.2.0 ALT_WIKI:EMOTICON:%28-%29%20

codeBeamer 9.5.x Supported Browsers

In all browsers, JavaScript must be enabled to use the full functionality of codeBeamer.

Browser Version Tested with
Internet Explorer 11 (compatibility mode must be switched off) 11.674.15063.0
Firefox 68.0.x
68.0.2
Chrome 76.0.x 76.0.3809.100

Internet Explorer is tested with Windows 10 using built in Internet Explorer 11. Windows 7,8 Operation Systems with shipped IE11 are also supported but not tested.

For Mozilla browsers ( up from non-tested Firefox version 70 ), it might be needed to toggle the value of dom.storage.next_gen to false in case there are page elements fails to load ( i.e. new comment window ) due to a known issue in Firefox as described in https://support.mozilla.org/en-US/kb/some-pages-or-page-elements-fail-load-after-updating

Source Code Management Systems (SCM)

Git 2.11 or higher tested with Git 2.11
Mercurial
(requires special support contract)
3.0.1 or higher tested with 3.7.3
Perfroce
(requires special support contract)
7.0 or higher tested with 7.0.16.1930
Subversion 1.7.x, 1.8.x, 1.9.x tested with 1.8.8, 1.9.1

JIRA Integration

JIRA Server version Tested with
JIRA 7.2.6 or higher JIRA 7.2.6 and 7.5.1.

Microsoft Office

Windows 7,10
Office 2013 IE11
Chrome (latest)
Firefox (latest)
Office 2016
IE11
Chrome (latest)
Firefox (latest)
Office 365 IE11
Chrome (latest)
Firefox (latest)
Mac OS X Office 2016 Chrome (latest)
Firefox (latest)

You can find more details about Office Edit support

Office edit / Webdav have problems with Mac Office 2016 does not work with Office edit.